Skip to main content
GET
/
stats
/
api
/
v1
/
aggregations
/
ddx
Get DDX Aggregation
curl --request GET \
  --url https://api.example.com/stats/api/v1/aggregations/ddx
{
  "nextStartingValue": "<string>",
  "value": [
    {
      "timestamp": 123
    }
  ],
  "success": true,
  "timestamp": 123
}

Query Parameters

aggregationPeriod
enum<string>
default:day

The period for the aggregation.

Available options:
week,
day,
hour,
minute
startingValue
number
default:0

The partial total of this aggregation, used for rolling aggregation paging.

fromEpoch
integer

The from epoch

toEpoch
integer

The to epoch

Response

DDX aggregation data

Successful response for the DDX aggregaton API

nextStartingValue
string | null
required

The partial total for this aggregation, which can be passed as startingValue to get the next page for rolling aggregation type APIs.

Examples:

"34000"

null

value
object[]
required

The value of the response

success
boolean
required

Whether the request was successful

timestamp
number
required

The timestamp of the response

Example:

1673031089

Last modified on April 27, 2026